Get live orderbook for a product
curl --request GET \
--url https://api.collectpure.com/products/orderbook/v2 \
--header 'x-api-key: <api-key>'import requests
url = "https://api.collectpure.com/products/orderbook/v2"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.collectpure.com/products/orderbook/v2', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"variants": [
{
"variantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"variantTitle": "<string>",
"listings": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"price": 123,
"quantity": 123,
"spotPremium": 123,
"spotPremiumDollar": 123,
"premiumPercent": 123,
"premiumDollar": 123,
"type": "<string>",
"expiresAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
],
"offers": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"price": 123,
"quantity": 123,
"spotPremium": 123,
"spotPremiumDollar": 123,
"premiumPercent": 123,
"premiumDollar": 123,
"type": "<string>",
"expiresAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
]
}
]
}
}Product API
Get live orderbook for a product
Retrieve the live orderbook for a product across all variants. Returns active listings and offers from the orderbook_listing_live and orderbook_offer_live views (already filtered to active, non-expired, trading-enabled organizations).
Rate limit: 120 requests burst, 60 requests/minute sustained.
GET
/
products
/
orderbook
/
v2
Get live orderbook for a product
Authorizations
API key for authentication
Query Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Response
200 - application/json
Default Response
Show child attributes
Show child attributes
Was this page helpful?
⌘I